CommunitiesHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.supplier
Class CommunitiesHandler

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.supplier.CommunitiesHandler

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class CommunitiesHandler

extends javax.servlet.http.HttpServlet

Este servlet controlará las operaciones realizadas sobre las comunidades del sistema, como por ejemplo: - Crear una nueva comunidad - Eliminar una comunidad

Author:
  Nestór Romero León
See Also:
  Serialized Form

Constructor Summary
`CommunitiesHandler()`

Method Summary
`void` | `destroy()` Destruye el servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `GET`.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `POST`.
`java.lang.String` | `getServletInfo()` Breve descripción del servlet.
`void` | `init(javax.servlet.ServletConfig config)` Inicializa el servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa las peticiones para los métodos HTTP `GET` y `POST`.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommunitiesHandler

    public CommunitiesHandler()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Inicializa el servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` - Parámetro de configuracion
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet.

### destroy

    public void destroy()

  Destruye el servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Procesa las peticiones para los métodos HTTP `GET` y `POST`. Para la creación de una nueva comunidad, recibe los datos necesarios para crear un objeto de tipo `Community`: - Identificador de la comunidad --> "communityId" - Identificador del proveedor --> session "user" - Nombre de la comunidad --> "communityName" - Descripción --> "communityDescription" Con estos datos se crea el objeto y se hace un llamado al método `saveData` , para guardar la comunidad en la base de datos. Para la eliminación de la comunidad, se utiliza simplemente su identificador en la base de datos. Se construye un objeto de tipo `Community` se asigna el identificador y se hace un llamado al método `delete`. Para los códigos de las operaciones se seguiran las siguientes convenciones: - 1: Agregar una comunidad - 2: Eliminar una comunidad será recibido como un parámetro de nombre "operationType". Tanto el método `saveData` como `delete` reciben una transacción. Despues de realizar las operaciones se redirecciona el flujo hacia el servlet `Comunidades (CommunitiesView)`.

  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet
    `java.io.IOException` - Excepción de fallo enla operación de escritura por medio del flujo PrintWriter de response.

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Procesa el método HTTP `GET`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet
    `java.io.IOException` - Excepción de fallo enla operación de escritura por medio del flujo PrintWriter de response.

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Procesa el método HTTP `POST`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - Petición al servlet
    `response` - Respuesta del servlet
  Throws:
    `javax.servlet.ServletException` - Excepción de fallo en la operación del servlet
    `java.io.IOException` - Excepción de fallo enla operación de escritura por medio del flujo PrintWriter de response.

### getServletInfo

    public java.lang.String getServletInfo()

  Breve descripción del servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`
  Returns:
    Retorna una descripción general del servlet

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD